6.0.0-git
2021-01-18

[#4307] Permissions Window - Save and Close
Summary Permissions Window - Save and Close
Queue Horde Framework Packages
Queue Version FRAMEWORK_3
Type Enhancement
State Resolved
Priority 1. Low
Owners
Requester webmgr (at) muskingum (dot) edu
Created 2006-08-17 (5268 days ago)
Due
Updated 2006-11-21 (5172 days ago)
Assigned
Resolved 2006-11-21 (5172 days ago)
Milestone
Patch No

History
2006-11-21 01:12:32 Chuck Hagenbuch Comment #7
State ⇒ Resolved
Reply to this comment
Added to HEAD and FW_3.
2006-08-21 01:09:52 webmgr (at) muskingum (dot) edu Comment #6 Reply to this comment
I thought about that too initially, but that would mean opening the
window again and again if you want to add more than one user/group.
As did I, and that's why I opted to have both.
2006-08-20 20:24:28 Chuck Hagenbuch Comment #5
State ⇒ Accepted
Reply to this comment
True.
2006-08-19 08:34:53 Jan Schneider Comment #4 Reply to this comment
I thought about that too initially, but that would mean opening the 
window again and again if you want to add more than one user/group.
2006-08-19 03:35:35 Chuck Hagenbuch Comment #3
State ⇒ Feedback
Reply to this comment
Do we just want to make closing the window the default?
2006-08-17 18:51:46 webmgr (at) muskingum (dot) edu Comment #2 Reply to this comment
Slight correction
It should appear directly between these two lines:
      $share->setPermission($perm, false);
      $share->save();
---> Here
2006-08-17 16:12:02 webmgr (at) muskingum (dot) edu Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Permissions Window - Save and Close
Queue ⇒ Horde Framework Packages
Reply to this comment
Borrowing the code from the Save and Finish button on the Kronolith 
2.1.2 Attendees page, I have added a Save and Finish button on the 
Permissions dialog as well.



I apologize, I have no idea (but would love to learn) how to work with 
the patch files, so I will just post my code changes as follows:



In "services/shares/edit.php" go to line 229 and add:

      if (Util::getFormData('addNewClose')) {

      Util::closeWindowJS();

      exit;

      }

It should appear directly between these two lines:

      $share->setPermission($perm, false);

---> Here

      $share->save();



In "templates/shares/edit.inc go to Line 217 where it should say:

      <input type="submit" class="button" value="<?php printf(_("Save 
%s"), htmlspecialchars($share->get('name'))) ?>" />



Add the following code immediately after:

      <input type="submit" class="button" name="addNewClose" 
value="<?php echo htmlspecialchars(_("Save and Finish")) ?>" />





If anyone has a better implementation, I'd love to hear it, otherwise 
this would make a nice enhancement.

Saved Queries